/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PLUGIN_UNPACK_H_
#define _PLUGIN_UNPACK_H_

#include "nntpgrab_plugin_unpack.h"

typedef struct _plugin_unpack_exported_funcs {
    int              (*get_version) (void);
    gboolean         (*do_unpack) (const char *filename, const char *target_directory, int *saved_errno, char **errmsg);
} PluginUnpackExportedFuncs;

typedef gboolean (*plugin_unpack_init_func) (PluginUnpackImportedFuncs funcs);

#endif /* _PLUGIN_UNPACK_H_ */
